# -*- coding: utf-8 -*-
# Generated by Django 1.11.15 on 2019-04-30 12:07
from __future__ import unicode_literals

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import atreal_openads.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('base', '0012_job'),
    ]

    operations = [
        migrations.CreateModel(
            name='AtrealOpenads',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=50, verbose_name='Title')),
                ('description', models.TextField(verbose_name='Description')),
                ('slug', models.SlugField(unique=True, verbose_name='Identifier')),
                ('myjobs', django.contrib.postgres.fields.jsonb.JSONField(default={})),
                ('collectivite', models.CharField(blank=True, default='', help_text='ex: Marseille, ou ex: 3', max_length=255, verbose_name='Collectivity (identifier)')),
                ('openADS_API_key', models.CharField(default='', help_text='ex: ah9pGbKKHv5ToF3cPQuV', max_length=255, verbose_name='openADS API key (secret)')),
                ('openADS_API_url', models.URLField(default='', help_text='ex: https://openads.your_domain.net/api/', max_length=255, verbose_name='openADS API URL')),
                ('users', models.ManyToManyField(blank=True, to='base.ApiUser')),
            ],
            options={
                'verbose_name': 'openADS',
            },
        ),
        migrations.CreateModel(
            name='ForwardFile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('numero_demande', models.CharField(max_length=20)),
                ('numero_dossier', models.CharField(max_length=20)),
                ('type_fichier', models.CharField(max_length=10)),
                ('file_hash', models.CharField(blank=True, default='', max_length=100)),
                ('orig_filename', models.CharField(blank=True, default='', max_length=100)),
                ('content_type', models.CharField(blank=True, default='', max_length=100)),
                ('upload_file', models.FileField(null=True, upload_to=atreal_openads.models.get_upload_path)),
                ('upload_status', models.CharField(blank=True, default='', max_length=10)),
                ('upload_msg', models.CharField(blank=True, default='', max_length=255)),
                ('last_update_datetime', models.DateTimeField(auto_now=True)),
            ],
        ),
    ]
